<template>
  <footer :class="{footer: true, light: light}" ref="footer">
    <div :class="{top: true, light: light}">
      <div class="links">
        <nuxt-link to="/shop" class="link">
          <Button type="text" size="md" :color="buttonColor" class="shop">فروشگاه</Button>
        </nuxt-link>
        <nuxt-link to="/blog" class="link">
          <Button type="text" size="md" :color="buttonColor">بلاگ</Button>
        </nuxt-link>
        <nuxt-link to="/terms" class="link">
          <Button type="text" size="md" :color="buttonColor">قوانین استفاده</Button>
        </nuxt-link>
        <nuxt-link to="/privacy" class="link">
          <Button type="text" size="md" :color="buttonColor">حریم خصوصی</Button>
        </nuxt-link>
      </div>
      <div class="socials">
        <a href="http://instagram.com/panjnoosh" class="social-link">
          <Button round type="text" size="sm" :color="buttonColor">
            <template #icon>
              <InstagramIcon />
            </template>
          </Button>
        </a>
        <a href="http://telegram.me/panjnoosh" class="social-link">
          <Button round type="text" size="sm" :color="buttonColor">
            <template #icon>
              <TelegramIcon />
            </template>
          </Button>
        </a>
        <a href="http://facebook.com/panjnoosh" class="social-link">
          <Button round type="text" size="sm" :color="buttonColor">
            <template #icon>
              <FacebookIcon />
            </template>
          </Button>
        </a>
      </div>
    </div>
    <div class="bottom">
      <p :class="{copyright: true, light: light}">© تمامی حقوق مادی و معنوی این سایت متعلق به شرکت پنج نوش می باشد.</p>
      <div class="actions" v-if="!$store.getters['auth/isLoggedIn']">
        <nuxt-link to="/login" class="link">
          <Button type="contained" size="md">ورود</Button>
        </nuxt-link>
        <nuxt-link to="/register">
          <Button type="text" size="md">ثبت نام</Button>
        </nuxt-link>
      </div>
    </div>
  </footer>
</template>

<script>
import Logo from "@/assets/svgs/logo.svg";
import Menu from "@/assets/svgs/menu.svg";
import FacebookIcon from "@/assets/svgs/facebook.svg";
import InstagramIcon from "@/assets/svgs/instagram.svg";
import TelegramIcon from "@/assets/svgs/telegram.svg";
import Button from "@/components/base/Button"

export default {
  name: "TheFooter",
  components: {
    Logo,
    Menu,
    Button,
    FacebookIcon,
    InstagramIcon,
    TelegramIcon
  },
  props: {
    light: {
      type: Boolean,
      default: false
    } 
  },
  computed: {
    buttonColor() {
      return this.light ? 'dark' : 'white';
    }
  }
};
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

.footer
  padding $md $lg
  color $white
  background-color $black
  direction rtl
  font-size 1.4rem
  min-height $footer-min-height
  &.light
    background-color $light
    color $black
  @media only screen and (max-width: 600px)
    padding $md $md

.top
  border-bottom 1px solid rgba($white, .2)
  display flex
  align-items center
  justify-content space-between
  padding 4rem 0
  @media only screen and (max-width: 950px)
    flex-direction column-reverse
  @media only screen and (max-width: 600px)
    padding $md 0
  &.light
    border-bottom 1px solid rgba($black, .2)

.bottom
  padding 4rem 0
  padding-right 4.2rem
  display flex
  justify-content space-between
  align-items center
  @media only screen and (max-width: 1000px)
    padding 4rem 0
    justify-content center
  @media only screen and (max-width: 600px)
    padding $md 0
    
.actions
  display flex
  @media only screen and (max-width: 1000px)
    display none

.links
  display flex
  @media only screen and (max-width: 760px)
    display none

.link
  &:not(:last-child)
    margin-left $sm
    @media only screen and (max-width: 1100px)
      margin-left 0

.socials
  display flex
  padding-left 2.8rem
  @media only screen and (max-width: 950px)
    margin-bottom $md
    padding-left 0
  @media only screen and (max-width: 760px)
    margin-bottom 0

.social-link
  &:not(:last-child)
    margin-left $md
    @media only screen and (max-width: 1100px)
      margin-left $sm
    @media only screen and (max-width: 1000px)
      margin-left $xxsm
    @media only screen and (max-width: 950px)
      margin-left $md

.copyright
  text-align center
  line-height 3rem
  &.light
    color rgba($black, .6)
</style>


